﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Nollie
{
	public interface IPartition
	{
		void Add(CacheItem item);
		void Add(string key, object value, TagList dictionary, DateTime expiryDate);
		ICache Cache { get; }
		void Clear();
		int Count();
		T Get<T>(string key);
		void RemoveByCacheKey(string key);
		void RemoveByTag(string key);
	}
}
