﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Nollie.UnitTests;

namespace Nollie.IntegrationTests
{
	public class TestDataHelper
	{
		public static CacheItem GetValidCacheItem()
		{
			return GetValidCacheItem("1");
		}
		public static CacheItem GetValidCacheItem(string key)
		{
			var item = new CacheItem();
			item.Key = key;
			item.Value = new Customer();
			(item.Value as Customer).Name = key;
			item.ExpiryDate = DateTime.Now.AddDays(1);

			return item;
		}
	}
}
