﻿using System;
namespace Nollie
{
	public interface IMixedCache
	{
		void ClearAllPartitions();
		IPartition GetDbPartition(string partitionName);
		IPartition GetMemPartition(string partitionName, int inMemoryCacheCapacity);
		IPartition GetMixedPartition(string partitionName, int inMemoryCacheCapacity);
		void RemoveByTag(string tag);
	}
}
