﻿using System;

namespace Nollie.Storage.Database
{
	public interface IDatabaseStorage
	{
		void Add(string partitionName, CacheItem cacheItem);
		CacheItem Get(string partitionName, string key);
		void RemoveByCacheKey(string partitionName, string key);
		void RemoveByTag(string key);
		void RemoveByTag(string partitionName, string key);
		int Count(string partitionName);
		void Clear(string partitionName);
		void ClearAllPartitions();
	}
}
